import { CpuBrandInfo } from "./cpu-brand-info";
import { CpuCacheInfo } from "./cpu-cache-info";
import { CpuFamilyInfo } from "./cpu-family-info";
import { CpuManufacturerInfo } from "./cpu-manufacturer-info";
import { CpuModelInfo } from "./cpu-model-info";
import { CpuSocketInfo } from "./cpu-socket-info";
import { CpuSteppingInfo } from "./cpu-stepping-info";
import { CpuVendorInfo } from "./cpu-vendor-info";
export interface CpuInfo {
    manufacturer: CpuManufacturerInfo;
    brand: CpuBrandInfo;
    family: CpuFamilyInfo;
    model: CpuModelInfo;
    stepping: CpuSteppingInfo;
    vendor: CpuVendorInfo;
    socket: CpuSocketInfo;
    speedAsGhz: number;
    maxSpeedAsGhz: number;
    coresCount: number;
    phyiscalCoresCount: number;
    l1dCache: CpuCacheInfo;
    l1iCache: CpuCacheInfo;
    l2Cache: CpuCacheInfo;
    l3Cache: CpuCacheInfo;
    doesSupportVirtualization: boolean;
    flagsAsText: string;
}
//# sourceMappingURL=cpu-info.d.ts.map